Loading...
Searching...
No Matches
type_id.hpp

Type IDs for AMQP data types. More...

`#include "./internal/export.hpp"`
`#include <proton/codec.h>`
`#include <string>`
Include dependency graph for type_id.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | proton
| The main Proton namespace.

## Enumerations

enum | type_id { NULL_TYPE , BOOLEAN , UBYTE , BYTE , USHORT , SHORT , UINT , INT , CHAR , ULONG , LONG , TIMESTAMP , FLOAT , DOUBLE , DECIMAL32 , DECIMAL64 , DECIMAL128 , UUID , BINARY , STRING , SYMBOL , DESCRIBED , ARRAY , LIST , MAP }
| An identifier for AMQP types. More...

## Functions

std::string | type_name (type_id)
| Get the name of the AMQP type.
std::ostream & | operator<< (std::ostream &, type_id)
| Print the type name.
void | assert_type_equal (type_id want, type_id got)
| Throw a conversion_error if want != got with a message including the names of the types.
Functions to test the properties of a type ID
bool | type_id_is_signed_int (type_id t)
bool | type_id_is_unsigned_int (type_id t)
bool | type_id_is_integral (type_id t)
bool | type_id_is_floating_point (type_id t)
bool | type_id_is_decimal (type_id t)
bool | type_id_is_signed (type_id t)
bool | type_id_is_string_like (type_id t)
bool | type_id_is_container (type_id t)
bool | type_id_is_null (type_id t)
bool | type_id_is_scalar (type_id t)

## Detailed Description

Type IDs for AMQP data types.